import { requestClient } from '#/api/request';
enum Api {
  baseknowledgeCategory = '/knowledgeCategory/category',
  queryknowledgeCategory = '/knowledgeCategory/category/list',
}
//新增知识库分类
export function addKnowledgeCategory(data: any) {
  return requestClient.post(Api.baseknowledgeCategory, data, {
    successMessageMode: 'message',
  });
}
//查询知识库分类列表
export function queryKnowledgeCategory(params: any) {
  return requestClient.get(Api.queryknowledgeCategory, { params });
}
//修改知识库分类
export function editKnowledgeCategory(data: any) {
  return requestClient.put(Api.baseknowledgeCategory, data, {
    successMessageMode: 'message',
  });
}
//删除知识库分类
export function deleteKnowledgeCategory(ids: any) {
  return requestClient.delete(`${Api.baseknowledgeCategory}/${ids}`, {
    successMessageMode: 'message',
  });
}
